org.apache.avro

## Class SchemaCompatibility.Incompatibility

- java.lang.Object
- - org.apache.avro.SchemaCompatibility.Incompatibility

- Enclosing class:
    SchemaCompatibility

      public static final class SchemaCompatibility.Incompatibility
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getLocation()` Returns a JSON Pointer describing the node location within the schema's JSON document tree where the incompatibility was encountered.
    `String` | `getMessage()` Returns a human-readable message with more details about what failed.
    `Schema` | `getReaderFragment()` Returns the fragment of the reader schema that failed compatibility check.
    `SchemaCompatibility.SchemaIncompatibilityType` | `getType()` Returns the SchemaIncompatibilityType.
    `Schema` | `getWriterFragment()` Returns the fragment of the writer schema that failed compatibility check.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public SchemaCompatibility.SchemaIncompatibilityType getType()

      Returns the SchemaIncompatibilityType.
      Returns:
        a SchemaIncompatibilityType instance.

    - #### getReaderFragment

          public Schema getReaderFragment()

      Returns the fragment of the reader schema that failed compatibility check.
      Returns:
        a Schema instance (fragment of the reader schema).

    - #### getWriterFragment

          public Schema getWriterFragment()

      Returns the fragment of the writer schema that failed compatibility check.
      Returns:
        a Schema instance (fragment of the writer schema).

    - #### getMessage

          public String getMessage()

      Returns a human-readable message with more details about what failed. Syntax depends on the SchemaIncompatibilityType.
      Returns:
        a String with details about the incompatibility.
      See Also:
        `getType()`

    - #### getLocation

          public String getLocation()

      Returns a JSON Pointer describing the node location within the schema's JSON document tree where the incompatibility was encountered.
      Returns:
        JSON Pointer encoded as a string.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.